﻿$ErrorActionPreference = 'Stop'


$packageArgs = @{
  packageName            = 'InkScape'
  fileType               = 'msi'
  url                    = 'https://inkscape.org/gallery/item/10688/Inkscape-0.92.1.msi'
  url64bit               = 'https://inkscape.org/gallery/item/10689/Inkscape-0.92.1-x64.msi'
  checksum               = 'ee6d9ce1061fef6e66dd618e17eed3311133739f1bd782e927b0c2c04b572ccc'
  checksum64             = '96f919b5a5c05af39fe6f7f18cdfa8f0c60ae4bccbdb25093726cb628de79a20'
  checksumType           = 'sha256'
  checksumType64         = 'sha256'
  silentArgs             = '/passive /norestart'
  validExitCodes         = @(0)
  softwareName           = 'InkScape*'
}
$current_version = Get-UninstallRegistrykey $packageArgs.softwareName  | select -Expand DisplayVersion
if ($current_version -eq $Env:ChocolateyPackageVersion) {
    Write-Host "Sowtware already installed"
} else { Install-ChocolateyPackage @packageArgs }

$packageName = $packageArgs.packageName
$installLocation = Get-AppInstallLocation $packageName
if ($installLocation)  {
    Write-Host "$packageName installed to '$installLocation'"
}
else { Write-Warning "Can't find $PackageName install location" }
